net.i2p.router.web

## Class LocaleWebAppHandler

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.ContainerLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler
      - - org.eclipse.jetty.server.handler.AbstractHandlerContainer
        - - org.eclipse.jetty.server.handler.HandlerWrapper
          - - net.i2p.router.web.LocaleWebAppHandler

- All Implemented Interfaces:
    Handler, HandlerContainer, Container, Destroyable, Dumpable, LifeCycle

      public class LocaleWebAppHandler
      extends HandlerWrapper

  Convert foo.jsp to foo_xx.jsp for language xx. This is appropriate for jsps with large amounts of text. Also, as of 0.8.2, rewrite "/" and "/index.html" to "/index.jsp", and "/foo" to "/foo.jsp".

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

      `Container.InheritedListener, Container.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

      `_handler`

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `FAILED, RUNNING, STARTED, STARTING, STOP_ON_FAILURE, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleWebAppHandler(I2PAppContext ctx, String path, String warPath, File tmpdir, ServletHandler servletHandler)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(String pathInContext, Request baseRequest, HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Handle foo.jsp by converting to foo_xx.jsp for language xx, where xx is the language for the default locale, or as specified in the routerconsole.lang property.
    `static void` | `setInitParams(WebAppContext context, Map<?,?> params)`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

      `destroy, expandChildren, getHandler, getHandlers, insertHandler, setHandler`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer

      `expandHandler, findContainerOf, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass, setServer`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

      `doStart, doStop, dumpThis, getServer`

    - ### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

      `addBean, addBean, addBean, addEventListener, addManaged, contains, dump, dump, dump, dump, dump, dumpBeans, dumpObject, dumpStdErr, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, removeEventListener, setBeans, setStopTimeout, start, stop, unmanage, updateBean, updateBean, updateBeans`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, getStopTimeout, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Constructor Detail

    - #### LocaleWebAppHandler

          public LocaleWebAppHandler(I2PAppContext ctx,
                                     String path,
                                     String warPath,
                                     File tmpdir,
                                     ServletHandler servletHandler)

  - ### Method Detail

    - #### handle

          public void handle(String pathInContext,
                             Request baseRequest,
                             HttpServletRequest httpRequest,
                             HttpServletResponse httpResponse)
                      throws IOException,
                             ServletException

      Handle foo.jsp by converting to foo_xx.jsp for language xx, where xx is the language for the default locale, or as specified in the routerconsole.lang property. Unless language == "en".
      Specified by:
        `handle` in interface `Handler`
      Overrides:
        `handle` in class `HandlerWrapper`
      Throws:
        `IOException`
        `ServletException`

    - #### setInitParams

          public static void setInitParams(WebAppContext context,
                                           Map<?,?> params)